#Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.  
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_ICT_Microdati_2018_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_ICT_A2018<- read.delim2 (fileInput,  header=T, sep="	",  quote="",  na.strings = ".")
attr(DF_ICT_A2018, "label") <- c(
"Codice progressivo",
"Classe di ricavi da vendita di beni e servizi",
"Percentuale di addetti che usano il computer sul totale degli addetti",
"Impiego di addetti specialisti in materie informatiche",
"Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT",
"Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT",
"Ha assunto o ha provato ad assumere specialisti ICT",
"Difficolta' a coprire i posti vacanti per specialisti ICT",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Manutenzione delle infrastrutture ICT",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per i software di ufficio",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo di sistemi e di software di gestione aziendale",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per software e sistemi di gestione aziendale",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo web",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per lo sviluppo web",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Gestione della sicurezza ICT e protezione dei dati",
"Connessione ad Internet",
"Percentuale di addetti che usano computer connessi Internet sul totale degli addetti",
"Tipo di connessione: fissa in banda larga  -  DSL (xDSL, ADSL, SDSL, VDSL, ecc.), via cavo, fibre ottiche (FTTH), connessioni fisse senza fili, WiFi (anche pubbliche), WiMax",
"Velocita' max download connessione fissa in banda larga",
"L'impresa fornisce dispositivi portatili con connessione mobile",
"Percentuale di addetti provvisti di dispositivi portatili forniti dallimpresa che permettono la connessione mobile ad Internet  (in banda larga o meno) sul totale degli addetti",
"connessione mobile per: accedere a sistema di posta elettronica aziendale",
"connessione mobile per: accedere e modificare documenti aziendali",
"connessione mobile per: utilizzare di specifiche applicazioni software aziendali",
"Sito web",
"Possibilita' di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line)",
"Tracciabilita' on line dellordine",
"Accesso a cataloghi di prodotti o listini prezzi",
"Possibilita' di personalizzare i contenuti del sito per i visitatori abituali",
"Possibilita' per i visitatori del sito di personalizzare o progettare prodotti",
"Collegamenti o riferimenti ai profili dellimpresa sui social media",
"Pubblicita' a pagamento su Internet",
"Pubblicita a pagamento su Internet, metodi di pubblicita' mirata: ricerca contenuti web",
"Pubblicita a pagamento su Internet, metodi di pubblicita' mirata: tracciabilita' degli utenti",
"Pubblicita a pagamento su Internet, metodi di pubblicita' mirata: geolocalizzazione degli utenti",
"Pubblicita a pagamento su Internet, metodi di pubblicita' mirata: altri metodi",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Informazioni insufficienti o poco chiare; mancanza di supporto",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Timori legati alla sicurezza o alla riservatezza dei dati",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Dichiarazione dei redditi dell'impresa: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Dichiarazione dei redditi dell'impresa: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Dichiarazione dei redditi dell'impresa: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Dichiarazione dei redditi dell'impresa: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Dichiarazione dei redditi dell'impresa: Timori legati alla sicurezza o alla riservatezza dei dati",
"Dichiarazione dei redditi dell'impresa: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Dichiarazione dei redditi dell'impresa: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Dichiarazione IVA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Dichiarazione IVA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Dichiarazione IVA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Dichiarazione IVA: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Dichiarazione IVA: Timori legati alla sicurezza o alla riservatezza dei dati",
"Dichiarazione IVA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Dichiarazione IVA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure len",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Informazioni insufficienti o poco chiare; mancanza di supporto",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Timori legati alla sicurezza o alla riservatezza dei dati",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, ",
"Adempimenti e procedure in materia edilizia: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Adempimenti e procedure in materia edilizia: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Adempimenti e procedure in materia edilizia: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Adempimenti e procedure in materia edilizia: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Adempimenti e procedure in materia edilizia: Timori legati alla sicurezza o alla riservatezza dei dati",
"Adempimenti e procedure in materia edilizia: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Adempimenti e procedure in materia edilizia: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Timori legati alla sicurezza o alla riservatezza dei dati",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Timori legati alla sicurezza o alla riservatezza dei dati",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Utilizzo della fatturazione elettronica con la PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Utilizzo della fatturazione elettronica con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Utilizzo della fatturazione elettronica con la PA: Timori legati alla sicurezza o alla riservatezza dei dati",
"Utilizzo della fatturazione elettronica con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Utilizzo della fatturazione elettronica con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Utilizzo della PEC per interagire con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Utilizzo della PEC per interagire con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Utilizzo della PEC per interagire con la PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Utilizzo della PEC per interagire con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Utilizzo della PEC per interagire con la PA: Timori legati alla sicurezza o alla riservatezza dei dati",
"Utilizzo della PEC per interagire con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Utilizzo della PEC per interagire con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Utilizzo di servizi di cloud computing su Internet",
"Tipologia servizi cloud utilizzati: servizi di posta elettronica",
"Tipologia servizi cloud utilizzati: software per ufficio",
"Tipologia servizi cloud utilizzati: hosting di database dellimpresa",
"Tipologia servizi cloud utilizzati: archiviazione di file",
"Tipologia servizi cloud utilizzati: applicazioni software di finanza e contabilita'",
"Tipologia servizi cloud utilizzati: applicazioni software CRM per gestire le informazioni relative ai propri clienti",
"Tipologia servizi cloud utilizzati: potenza di calcolo per eseguire il software dellimpresa",
"Tipologia di fornitura di servizi cloud: server condivisi (cloud pubblico)",
"Tipologia di fornitura di servizi cloud: server riservati (cloud privato)",
"Utilizzo di stampanti 3D di proprieta', affittate o prese in leasing dallimpresa",
"Utilizzo di servizi di stampa 3D forniti da altre imprese diverse dalla rispondente",
"stampare in 3D prototipi o modelli da vendere",
"stampare in 3D prototipi o modelli per uso interno allimpresa",
"stampare in 3D beni da vendere esclusi prototipi o modelli",
"stampare in 3D beni da utilizzare nel processo di produzione della vostra impresa escluso prototipi o modelli",
"Robot industriali",
"Robot di servizio",
"Robot di servizio: compiti di sorveglianza, sicurezza o ispezione",
"Robot di servizio: trasporto di persone o beni",
"Robot di servizio: attivita' di pulizia o di smaltimento dei rifiuti",
"Robot di servizio: sistemi di gestione del magazzino",
"Robot di servizio: lavori di assemblaggio",
"Robot di servizio: compiti da impiegato di un negozio robotizzato",
"Robot di servizio: lavori di costruzione o riparazione di danni",
"Big Data Analisys - fonti di dati: dispositivi intelligenti o sensori",
"Big Data Analisys - fonti di dati: geolocalizzazione derivante dall'utilizzo di dispositivi portatili",
"Big Data Analisys - fonti di dati: social media",
"Big Data Analisys - fonti di dati: altro",
"Big Data Analisys: personale interno",
"Big Data Analisys: personale esterno",
"Fatture elettroniche adatte B2B e B2C",
"Fatture elettroniche adatte B2G",
"Fatture in formato elettronico non adatte",
"Fatture cartacee",
"Classe percentuale delle fatture elettroniche inviate in formato standard",
"Vendite web: tramite siti web o app dellimpresa",
"Vendite web: tramite siti web di intermediari ovvero siti di ecommerce (marketplace) o app",
"Percentuale degli ordini di vendita sito web rispetto al totale dei ricavi",
"Percentuale delle vendite web destinate a consumatori privati (B2C)",
"Percentuale delle vendite web destinate ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G)",
"Vendite web: tramite siti web o app dellimpresa",
"Vendite web: tramite siti web di intermediari ovvero siti di ecommerce (marketplace) o app",
"Ordini di vendita attraverso sistemi di tipo EDI",
"Percentuale degli ordini di vendita via EDI rispetto al totale dei ricavi",
"Investimenti 2016: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)",
"Investimenti 2017: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)",
"Nessun investimento 2016-2017: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)",
"Investimenti 2016: Stampa 3D",
"Investimenti 2017: Stampa 3D",
"Nessun investimento 2016-2017: Stampa 3D",
"Investimenti 2016: Robotica (robot industriali, robot collaborativi interconnessi e programmabili)",
"Investimenti 2017: Robotica (robot industriali, robot collaborativi interconnessi e programmabili)",
"Nessun investimento 2016-2017: Robotica (robot industriali, robot collaborativi interconnessi e programmabili)",
"Investimenti 2016: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali",
"Investimenti 2017: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali",
"Nessun investimento 2016-2017: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali",
"Investimenti 2016: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)",
"Investimenti 2017: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)",
"Nessun investimento 2016-2017: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)",
"Investimenti 2016: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)",
"Investimenti 2017: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)",
"Nessun investimento 2016-2017: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)",
"Investimenti 2016: Vendite online",
"Investimenti 2017: Vendite online",
"Nessun investimento 2016-2017: Vendite online",
"Investimenti 2016: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)",
"Investimenti 2017: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)",
"Nessun investimento 2016-2017: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)",
"Investimenti 2016: Realta' aumentata e realta' virtuale",
"Investimenti 2017: Realta' aumentata e realta' virtuale",
"Nessun investimento 2016-2017: Realta' aumentata e realta' virtuale",
"Investimenti 2016: Sicurezza informatica",
"Investimenti 2017: Sicurezza informatica",
"Nessun investimento 2016-2017: Sicurezza informatica",
"Investimenti 2018: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)",
"Investimenti 2019: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)",
"Nessun investimento 2018-2019: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)",
"Investimenti 2018: Stampa 3D",
"Investimenti 2019: Stampa 3D",
"Nessun investimento 2018-2019: Stampa 3D",
"Investimenti 2018: Robotica (robot industriali, robot collaborativi interconnessi e programmabili)",
"Investimenti 2019: Robotica (robot industriali, robot collaborativi interconnessi e programmabili)",
"Nessun investimento 2018-2019: Robotica (robot industriali, robot collaborativi interconnessi e programmabili)",
"Investimenti 2018: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali",
"Investimenti 2019: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali",
"Nessun investimento 2018-2019: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali",
"Investimenti 2018: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)",
"Investimenti 2019: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)",
"Nessun investimento 2018-2019: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)",
"Investimenti 2018: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)",
"Investimenti 2019: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)",
"Nessun investimento 2018-2019: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)",
"Investimenti 2018: Vendite online",
"Investimenti 2019: Vendite online",
"Nessun investimento 2018-2019: Vendite online",
"Investimenti 2018: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)",
"Investimenti 2019: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)",
"Nessun investimento 2018-2019: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)",
"Investimenti 2018: Realta' aumentata e realta' virtuale",
"Investimenti 2019: Realta' aumentata e realta' virtuale",
"Nessun investimento 2018-2019: Realta' aumentata e realta' virtuale",
"Investimenti 2018: Sicurezza informatica",
"Investimenti 2019: Sicurezza informatica",
"Nessun investimento 2018-2019: Sicurezza informatica",
"Investimenti 2018: Altro",
"Investimenti 2019: Altro",
"Nessun investimento 2018-2019: Altro",
"Fattori digitalizzazione 2018-2019: Infrastruttura e connessione in banda ultralarga",
"Fattori digitalizzazione 2018-2019: Agevolazioni, finanziamenti, incentivi fiscali a sostegno della digitalizzazione",
"Fattori digitalizzazione 2018-2019: Iniziative digitali della pubblica amministrazione",
"Fattori digitalizzazione 2018-2019: Capacita' di fare rete attuando modelli di collaborazione con altre imprese e centri di ricerca per la digitalizzazione",
"Fattori digitalizzazione 2018-2019: Inserimento/sviluppo di nuove competenze digitali",
"Fattori digitalizzazione 2018-2019:Sviluppo/consolidamento di competenze di personale gia' esistente",
"Fattori digitalizzazione 2018-2019: Sviluppo di una strategia di digitalizzazione dellimpresa",
"Fattori digitalizzazione 2018-2019: Altro",
"Fattori digitalizzazione 2018-2019: Nessun fattore di digitalizzazione puo' incidere",
"Fattori digitalizzazione 2018-2019: Non so",
"Ateco, classificazione Ateco2007 a due cifre (contiene missing)",
"Macrosettore",
"Classe addetti",
"20 reg amministrative (aggregazione di BZ e TN)",
"Primo dominio di stima per la pubblicazione (per 27 attivita' economiche)",
"Secondo dominio di stima per la pubblicazione [macrosettore (mac) per classe di addetti (clad4)]",
"Terzo dominio di stima [macrosettore (mac) x regione (reg_)]",
"Dominio relativo al settore ICT che comprende le seguenti attivita' economiche: 261+262+263+264+268+465+582+61+62+631+951",
"Peso da utilizzare per riporto all'universo",
"Valore percentuale degli ordini di vendita online")

ricavi_cl_Fact <- factor(DF_ICT_A2018$ricavi_cl, 
levels=c(0, 
20000, 
50000, 
100000, 
200000, 
500000, 
1000000, 
2000000, 
4000000, 
5000000, 
10000000, 
20000000, 
50000000, 
200000000), 
labels=c("[0, 20000)", 
"[20000, 50000)", 
"[50000, 100000)", 
"[100000, 200000)", 
"[200000, 500000)", 
"[500000, 1000000)", 
"[1000000, 2000000)", 
"[2000000, 4000000)", 
"[4000000, 5000000)", 
"[5000000, 10000000)", 
"[10000000, 20000000)", 
"[20000000, 50000000)", 
"[50000000, 200000000)", 
"[200000000, + infinito)")) 


B1_Fact <- factor(DF_ICT_A2018$B1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B2a_Fact <- factor(DF_ICT_A2018$B2a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B2b_Fact <- factor(DF_ICT_A2018$B2b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B3_Fact <- factor(DF_ICT_A2018$B3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B4_Fact <- factor(DF_ICT_A2018$B4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B5a_Fact <- factor(DF_ICT_A2018$B5a, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivita' non svolta"), exclude=NULL) 


B5b_Fact <- factor(DF_ICT_A2018$B5b, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivita' non svolta"), exclude=NULL) 


B5c_Fact <- factor(DF_ICT_A2018$B5c, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivita' non svolta"), exclude=NULL) 


B5d_Fact <- factor(DF_ICT_A2018$B5d, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivita' non svolta"), exclude=NULL) 


B5e_Fact <- factor(DF_ICT_A2018$B5e, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivita' non svolta"), exclude=NULL) 


B5f_Fact <- factor(DF_ICT_A2018$B5f, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivita' non svolta"), exclude=NULL) 


B5g_Fact <- factor(DF_ICT_A2018$B5g, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivita' non svolta"), exclude=NULL) 


C1_Fact <- factor(DF_ICT_A2018$C1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C3_Fact <- factor(DF_ICT_A2018$C3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C4_Fact <- factor(DF_ICT_A2018$C4, 
levels=c(NA, 
1, 
2, 
3, 
4, 
5), 
labels=c("missing", 
"Inferiore a  2Mbit/s", 
"Compresa tra 2Mbit/s e meno di 10Mbit/s", 
"Compresa tra 10Mbit/s e meno di 30Mbit/s", 
"Compresa tra 30Mbit/s e meno di 100Mbit/s", 
"Maggiore o uguale a 100 Mbit/s"), exclude=NULL) 


C5_Fact <- factor(DF_ICT_A2018$C5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C7a_Fact <- factor(DF_ICT_A2018$C7a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C7b_Fact <- factor(DF_ICT_A2018$C7b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C7c_Fact <- factor(DF_ICT_A2018$C7c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C8_Fact <- factor(DF_ICT_A2018$C8, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9a_Fact <- factor(DF_ICT_A2018$C9a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9b_Fact <- factor(DF_ICT_A2018$C9b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9c_Fact <- factor(DF_ICT_A2018$C9c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9d_Fact <- factor(DF_ICT_A2018$C9d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9e_Fact <- factor(DF_ICT_A2018$C9e, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9f_Fact <- factor(DF_ICT_A2018$C9f, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C10_Fact <- factor(DF_ICT_A2018$C10, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C11a_Fact <- factor(DF_ICT_A2018$C11a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C11b_Fact <- factor(DF_ICT_A2018$C11b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C11c_Fact <- factor(DF_ICT_A2018$C11c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C11d_Fact <- factor(DF_ICT_A2018$C11d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a1_Fact <- factor(DF_ICT_A2018$C12a1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a2_Fact <- factor(DF_ICT_A2018$C12a2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a3_Fact <- factor(DF_ICT_A2018$C12a3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a4_Fact <- factor(DF_ICT_A2018$C12a4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a5_Fact <- factor(DF_ICT_A2018$C12a5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a6_Fact <- factor(DF_ICT_A2018$C12a6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a7_Fact <- factor(DF_ICT_A2018$C12a7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b1_Fact <- factor(DF_ICT_A2018$C12b1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b2_Fact <- factor(DF_ICT_A2018$C12b2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b3_Fact <- factor(DF_ICT_A2018$C12b3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b4_Fact <- factor(DF_ICT_A2018$C12b4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b5_Fact <- factor(DF_ICT_A2018$C12b5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b6_Fact <- factor(DF_ICT_A2018$C12b6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b7_Fact <- factor(DF_ICT_A2018$C12b7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c1_Fact <- factor(DF_ICT_A2018$C12c1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c2_Fact <- factor(DF_ICT_A2018$C12c2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c3_Fact <- factor(DF_ICT_A2018$C12c3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c4_Fact <- factor(DF_ICT_A2018$C12c4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c5_Fact <- factor(DF_ICT_A2018$C12c5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c6_Fact <- factor(DF_ICT_A2018$C12c6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c7_Fact <- factor(DF_ICT_A2018$C12c7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d1_Fact <- factor(DF_ICT_A2018$C12d1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d2_Fact <- factor(DF_ICT_A2018$C12d2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d3_Fact <- factor(DF_ICT_A2018$C12d3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d4_Fact <- factor(DF_ICT_A2018$C12d4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d5_Fact <- factor(DF_ICT_A2018$C12d5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d6_Fact <- factor(DF_ICT_A2018$C12d6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d7_Fact <- factor(DF_ICT_A2018$C12d7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e1_Fact <- factor(DF_ICT_A2018$C12e1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e2_Fact <- factor(DF_ICT_A2018$C12e2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e3_Fact <- factor(DF_ICT_A2018$C12e3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e4_Fact <- factor(DF_ICT_A2018$C12e4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e5_Fact <- factor(DF_ICT_A2018$C12e5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e6_Fact <- factor(DF_ICT_A2018$C12e6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e7_Fact <- factor(DF_ICT_A2018$C12e7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f1_Fact <- factor(DF_ICT_A2018$C12f1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f2_Fact <- factor(DF_ICT_A2018$C12f2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f3_Fact <- factor(DF_ICT_A2018$C12f3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f4_Fact <- factor(DF_ICT_A2018$C12f4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f5_Fact <- factor(DF_ICT_A2018$C12f5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f6_Fact <- factor(DF_ICT_A2018$C12f6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f7_Fact <- factor(DF_ICT_A2018$C12f7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g1_Fact <- factor(DF_ICT_A2018$C12g1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g2_Fact <- factor(DF_ICT_A2018$C12g2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g3_Fact <- factor(DF_ICT_A2018$C12g3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g4_Fact <- factor(DF_ICT_A2018$C12g4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g5_Fact <- factor(DF_ICT_A2018$C12g5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g6_Fact <- factor(DF_ICT_A2018$C12g6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g7_Fact <- factor(DF_ICT_A2018$C12g7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h1_Fact <- factor(DF_ICT_A2018$C12h1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h2_Fact <- factor(DF_ICT_A2018$C12h2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h3_Fact <- factor(DF_ICT_A2018$C12h3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h4_Fact <- factor(DF_ICT_A2018$C12h4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h5_Fact <- factor(DF_ICT_A2018$C12h5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h6_Fact <- factor(DF_ICT_A2018$C12h6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h7_Fact <- factor(DF_ICT_A2018$C12h7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i1_Fact <- factor(DF_ICT_A2018$C12i1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i2_Fact <- factor(DF_ICT_A2018$C12i2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i3_Fact <- factor(DF_ICT_A2018$C12i3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i4_Fact <- factor(DF_ICT_A2018$C12i4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i5_Fact <- factor(DF_ICT_A2018$C12i5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i6_Fact <- factor(DF_ICT_A2018$C12i6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i7_Fact <- factor(DF_ICT_A2018$C12i7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D1_Fact <- factor(DF_ICT_A2018$D1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D2a_Fact <- factor(DF_ICT_A2018$D2a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D2b_Fact <- factor(DF_ICT_A2018$D2b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D2c_Fact <- factor(DF_ICT_A2018$D2c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D2d_Fact <- factor(DF_ICT_A2018$D2d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D2e_Fact <- factor(DF_ICT_A2018$D2e, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D2f_Fact <- factor(DF_ICT_A2018$D2f, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D2g_Fact <- factor(DF_ICT_A2018$D2g, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D3a_Fact <- factor(DF_ICT_A2018$D3a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D3b_Fact <- factor(DF_ICT_A2018$D3b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


E1a_Fact <- factor(DF_ICT_A2018$E1a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


E1b_Fact <- factor(DF_ICT_A2018$E1b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


E2a_Fact <- factor(DF_ICT_A2018$E2a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


E2b_Fact <- factor(DF_ICT_A2018$E2b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


E2c_Fact <- factor(DF_ICT_A2018$E2c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


E2d_Fact <- factor(DF_ICT_A2018$E2d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F1a_Fact <- factor(DF_ICT_A2018$F1a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F1b_Fact <- factor(DF_ICT_A2018$F1b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F2a_Fact <- factor(DF_ICT_A2018$F2a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F2b_Fact <- factor(DF_ICT_A2018$F2b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F2c_Fact <- factor(DF_ICT_A2018$F2c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F2d_Fact <- factor(DF_ICT_A2018$F2d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F2e_Fact <- factor(DF_ICT_A2018$F2e, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F2f_Fact <- factor(DF_ICT_A2018$F2f, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F2g_Fact <- factor(DF_ICT_A2018$F2g, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G1a_Fact <- factor(DF_ICT_A2018$G1a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G1b_Fact <- factor(DF_ICT_A2018$G1b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G1c_Fact <- factor(DF_ICT_A2018$G1c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G1d_Fact <- factor(DF_ICT_A2018$G1d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G2a_Fact <- factor(DF_ICT_A2018$G2a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G2b_Fact <- factor(DF_ICT_A2018$G2b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1a_Fact <- factor(DF_ICT_A2018$H1a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1b_Fact <- factor(DF_ICT_A2018$H1b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1c_Fact <- factor(DF_ICT_A2018$H1c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1d_Fact <- factor(DF_ICT_A2018$H1d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H2_Fact <- factor(DF_ICT_A2018$H2, 
levels=c(NA, 
1, 
2, 
3, 
4, 
5), 
labels=c("missing", 
"inferiore a 10%", 
"tra 10% e meno di 25%", 
"tra 25% e meno di 50%", 
"tra 50% e meno di 75%", 
"almeno 75%"), exclude=NULL) 


I1a_Fact <- factor(DF_ICT_A2018$I1a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I1b_Fact <- factor(DF_ICT_A2018$I1b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I5_Fact <- factor(DF_ICT_A2018$I5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1a1_Fact <- factor(DF_ICT_A2018$J1a1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1a2_Fact <- factor(DF_ICT_A2018$J1a2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1a3_Fact <- factor(DF_ICT_A2018$J1a3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1b1_Fact <- factor(DF_ICT_A2018$J1b1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1b2_Fact <- factor(DF_ICT_A2018$J1b2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1b3_Fact <- factor(DF_ICT_A2018$J1b3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1c1_Fact <- factor(DF_ICT_A2018$J1c1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1c2_Fact <- factor(DF_ICT_A2018$J1c2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1c3_Fact <- factor(DF_ICT_A2018$J1c3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1d1_Fact <- factor(DF_ICT_A2018$J1d1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1d2_Fact <- factor(DF_ICT_A2018$J1d2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1d3_Fact <- factor(DF_ICT_A2018$J1d3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1e1_Fact <- factor(DF_ICT_A2018$J1e1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1e2_Fact <- factor(DF_ICT_A2018$J1e2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1e3_Fact <- factor(DF_ICT_A2018$J1e3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1f1_Fact <- factor(DF_ICT_A2018$J1f1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1f2_Fact <- factor(DF_ICT_A2018$J1f2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1f3_Fact <- factor(DF_ICT_A2018$J1f3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1g1_Fact <- factor(DF_ICT_A2018$J1g1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1g2_Fact <- factor(DF_ICT_A2018$J1g2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1g3_Fact <- factor(DF_ICT_A2018$J1g3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1h1_Fact <- factor(DF_ICT_A2018$J1h1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1h2_Fact <- factor(DF_ICT_A2018$J1h2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1h3_Fact <- factor(DF_ICT_A2018$J1h3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1i1_Fact <- factor(DF_ICT_A2018$J1i1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1i2_Fact <- factor(DF_ICT_A2018$J1i2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1i3_Fact <- factor(DF_ICT_A2018$J1i3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1j1_Fact <- factor(DF_ICT_A2018$J1j1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1j2_Fact <- factor(DF_ICT_A2018$J1j2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J1j3_Fact <- factor(DF_ICT_A2018$J1j3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2a1_Fact <- factor(DF_ICT_A2018$J2a1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2a2_Fact <- factor(DF_ICT_A2018$J2a2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2a3_Fact <- factor(DF_ICT_A2018$J2a3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2b1_Fact <- factor(DF_ICT_A2018$J2b1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2b2_Fact <- factor(DF_ICT_A2018$J2b2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2b3_Fact <- factor(DF_ICT_A2018$J2b3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2c1_Fact <- factor(DF_ICT_A2018$J2c1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2c2_Fact <- factor(DF_ICT_A2018$J2c2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2c3_Fact <- factor(DF_ICT_A2018$J2c3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2d1_Fact <- factor(DF_ICT_A2018$J2d1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2d2_Fact <- factor(DF_ICT_A2018$J2d2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2d3_Fact <- factor(DF_ICT_A2018$J2d3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2e1_Fact <- factor(DF_ICT_A2018$J2e1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2e2_Fact <- factor(DF_ICT_A2018$J2e2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2e3_Fact <- factor(DF_ICT_A2018$J2e3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2f1_Fact <- factor(DF_ICT_A2018$J2f1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2f2_Fact <- factor(DF_ICT_A2018$J2f2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2f3_Fact <- factor(DF_ICT_A2018$J2f3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2g1_Fact <- factor(DF_ICT_A2018$J2g1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2g2_Fact <- factor(DF_ICT_A2018$J2g2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2g3_Fact <- factor(DF_ICT_A2018$J2g3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2h1_Fact <- factor(DF_ICT_A2018$J2h1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2h2_Fact <- factor(DF_ICT_A2018$J2h2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2h3_Fact <- factor(DF_ICT_A2018$J2h3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2i1_Fact <- factor(DF_ICT_A2018$J2i1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2i2_Fact <- factor(DF_ICT_A2018$J2i2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2i3_Fact <- factor(DF_ICT_A2018$J2i3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2j1_Fact <- factor(DF_ICT_A2018$J2j1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2j2_Fact <- factor(DF_ICT_A2018$J2j2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2j3_Fact <- factor(DF_ICT_A2018$J2j3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2k1_Fact <- factor(DF_ICT_A2018$J2k1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2k2_Fact <- factor(DF_ICT_A2018$J2k2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J2k3_Fact <- factor(DF_ICT_A2018$J2k3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


J3a_Fact <- factor(DF_ICT_A2018$J3a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"non scelto tra i tre possibili", 
"si"), exclude=NULL) 


J3b_Fact <- factor(DF_ICT_A2018$J3b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"non scelto tra i tre possibili", 
"si"), exclude=NULL) 


J3c_Fact <- factor(DF_ICT_A2018$J3c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"non scelto tra i tre possibili", 
"si"), exclude=NULL) 


J3d_Fact <- factor(DF_ICT_A2018$J3d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"non scelto tra i tre possibili", 
"si"), exclude=NULL) 


J3e_Fact <- factor(DF_ICT_A2018$J3e, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"non scelto tra i tre possibili", 
"si"), exclude=NULL) 


J3f_Fact <- factor(DF_ICT_A2018$J3f, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"non scelto tra i tre possibili", 
"si"), exclude=NULL) 


J3g_Fact <- factor(DF_ICT_A2018$J3g, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"non scelto tra i tre possibili", 
"si"), exclude=NULL) 


J3h_Fact <- factor(DF_ICT_A2018$J3h, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"non scelto tra i tre possibili", 
"si"), exclude=NULL) 


J3i_Fact <- factor(DF_ICT_A2018$J3i, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"non scelto tra i tre possibili", 
"Nessun fattore di digitalizzazione pu¿ incidere"), exclude=NULL) 


J3j_Fact <- factor(DF_ICT_A2018$J3j, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"non scelto tra i tre possibili", 
"Non so"), exclude=NULL) 


mac_Fact <- factor(DF_ICT_A2018$mac, 
levels=c("M1", 
"M2", 
"M3", 
"M4"), 
labels=c("MACROSETTORE MANIFATTURIERO", 
"MACROSETTORE ENERGIA", 
"MACROSETTORE COSTRUZIONI", 
"MACROSETTORE SERVIZI (NON FINANZIARI)")) 


clad4_Fact <- factor(DF_ICT_A2018$clad4, 
levels=c("cl1", 
"cl2", 
"cl3", 
"cl4"), 
labels=c("10-49 addetti", 
"50-99 addetti", 
"100-249 addetti", 
"250 e piu' addetti")) 


reg__Fact <- factor(DF_ICT_A2018$reg_, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Trentino-Alto Adige", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


dom1_Fact <- factor(DF_ICT_A2018$dom1, 
levels=c("N01", 
"N02", 
"N03", 
"N04", 
"N05", 
"N06", 
"N07", 
"N08", 
"N09", 
"N10", 
"N11", 
"N12", 
"N13", 
"N14", 
"N15", 
"N16", 
"N17", 
"N18", 
"N19", 
"N20", 
"N21", 
"N22", 
"N23", 
"N24", 
"N25", 
"N26", 
"N27"), 
labels=c("Dominio divisioni e gruppi Ateco 2007: 10+11+12", 
"Dominio divisioni e gruppi Ateco 2007: 13+14+15", 
"Dominio divisioni e gruppi Ateco 2007: 16+17+18", 
"Dominio divisioni e gruppi Ateco 2007: 19+20+21+22+23", 
"Dominio divisioni e gruppi Ateco 2007: 24+25", 
"Dominio divisioni e gruppi Ateco 2007: 26", 
"Dominio divisioni e gruppi Ateco 2007: 27+28", 
"Dominio divisioni e gruppi Ateco 2007: 29+30", 
"Dominio divisioni e gruppi Ateco 2007: 31+32+33", 
"Dominio divisioni e gruppi Ateco 2007: 35+36+37+38+39", 
"Dominio divisioni e gruppi Ateco 2007: 41+42+43", 
"Dominio divisioni e gruppi Ateco 2007: 45", 
"Dominio divisioni e gruppi Ateco 2007: 46", 
"Dominio divisioni e gruppi Ateco 2007: 47", 
"Dominio divisioni e gruppi Ateco 2007: 49+50+51+52", 
"Dominio divisioni e gruppi Ateco 2007: 53", 
"Dominio divisioni e gruppi Ateco 2007: 55", 
"Dominio divisioni e gruppi Ateco 2007: 56", 
"Dominio divisioni e gruppi Ateco 2007: 58", 
"Dominio divisioni e gruppi Ateco 2007: 59+60", 
"Dominio divisioni e gruppi Ateco 2007: 61", 
"Dominio divisioni e gruppi Ateco 2007: 62+63", 
"Dominio divisioni e gruppi Ateco 2007: 68", 
"Dominio divisioni e gruppi Ateco 2007: 69+70+71+72+73+74", 
"Dominio divisioni e gruppi Ateco 2007: 77+78+80+81+82", 
"Dominio divisioni e gruppi Ateco 2007: 79", 
"Dominio divisioni e gruppi Ateco 2007: 95.1")) 


dom4_Fact <- factor(DF_ICT_A2018$dom4, 
levels=c("NO_ICT", 
"SI_ICT"), 
labels=c("Non appartiene al Settore ICT", 
"Appartiene al settore ICT (Ateco 261, 262, 263, 264, 268, 465, 582, 61, 62, 631, 951)")) 

save.image (file="DF_ICT_A2018.RData")
