/* Declinazione di responsabilità. 
I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.                 */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_ICT_Microdati_2018_ESEMPIO_STRUTTURA_FILE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.ICT_A2018;

INFILE "&path&nomeFile" DLM='09'x  LRECL=32767 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
codice_ :5.   /*  Codice progressivo */
ricavi_cl :9.   /*  Classe di ricavi da vendita di beni e servizi */
A3_ :6.2   /*  Percentuale di addetti che usano il computer sul totale degli addetti */
B1 :1.   /*  Impiego di addetti specialisti in materie informatiche */
B2a :1.   /*  Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT */
B2b :1.   /*  Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT */
B3 :1.   /*  Ha assunto o ha provato ad assumere specialisti ICT */
B4 :1.   /*  Difficolta' a coprire i posti vacanti per specialisti ICT */
B5a :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Manutenzione delle infrastrutture ICT */
B5b :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per i software di ufficio */
B5c :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo di sistemi e di software di gestione aziendale */
B5d :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per software e sistemi di gestione aziendale */
B5e :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo web */
B5f :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per lo sviluppo web */
B5g :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Gestione della sicurezza ICT e protezione dei dati */
C1 :1.   /*  Connessione ad Internet */
C2_ :6.2   /*  Percentuale di addetti che usano computer connessi Internet sul totale degli addetti */
C3 :1.   /*  Tipo di connessione: fissa in banda larga  -  DSL (xDSL, ADSL, SDSL, VDSL, ecc.), via cavo, fibre ottiche (FTTH), connessioni fisse senza fili, WiFi (anche pubbliche), WiMax */
C4 :1.   /*  Velocita' max download connessione fissa in banda larga */
C5 :1.   /*  L'impresa fornisce dispositivi portatili con connessione mobile */
C6_ :6.2   /*  Percentuale di addetti provvisti di dispositivi portatili forniti dallimpresa che permettono la connessione mobile ad Internet  (in banda larga o meno) sul totale degli addetti */
C7a :1.   /*  connessione mobile per: accedere a sistema di posta elettronica aziendale */
C7b :1.   /*  connessione mobile per: accedere e modificare documenti aziendali */
C7c :1.   /*  connessione mobile per: utilizzare di specifiche applicazioni software aziendali */
C8 :1.   /*  Sito web */
C9a :1.   /*  Possibilita' di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line) */
C9b :1.   /*  Tracciabilita' on line dellordine */
C9c :1.   /*  Accesso a cataloghi di prodotti o listini prezzi */
C9d :1.   /*  Possibilita' di personalizzare i contenuti del sito per i visitatori abituali */
C9e :1.   /*  Possibilita' per i visitatori del sito di personalizzare o progettare prodotti */
C9f :1.   /*  Collegamenti o riferimenti ai profili dellimpresa sui social media */
C10 :1.   /*  Pubblicita' a pagamento su Internet */
C11a :1.   /*  Pubblicita a pagamento su Internet, metodi di pubblicita' mirata: ricerca contenuti web */
C11b :1.   /*  Pubblicita a pagamento su Internet, metodi di pubblicita' mirata: tracciabilita' degli utenti */
C11c :1.   /*  Pubblicita a pagamento su Internet, metodi di pubblicita' mirata: geolocalizzazione degli utenti */
C11d :1.   /*  Pubblicita a pagamento su Internet, metodi di pubblicita' mirata: altri metodi */
C12a1 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12a2 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12a3 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12a4 :1.   /*  "Adempimenti e procedure per il lavoro (INPS/INAIL): Informazioni insufficienti o poco chiare; mancanza di supporto" */
C12a5 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Timori legati alla sicurezza o alla riservatezza dei dati */
C12a6 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12a7 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12b1 :1.   /*  Dichiarazione dei redditi dell'impresa: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12b2 :1.   /*  Dichiarazione dei redditi dell'impresa: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12b3 :1.   /*  Dichiarazione dei redditi dell'impresa: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12b4 :1.   /*  "Dichiarazione dei redditi dell'impresa: Informazioni insufficienti o poco chiare; mancanza di supporto" */
C12b5 :1.   /*  Dichiarazione dei redditi dell'impresa: Timori legati alla sicurezza o alla riservatezza dei dati */
C12b6 :1.   /*  Dichiarazione dei redditi dell'impresa: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12b7 :1.   /*  Dichiarazione dei redditi dell'impresa: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12c1 :1.   /*  Dichiarazione IVA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12c2 :1.   /*  Dichiarazione IVA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12c3 :1.   /*  Dichiarazione IVA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12c4 :1.   /*  "Dichiarazione IVA: Informazioni insufficienti o poco chiare; mancanza di supporto" */
C12c5 :1.   /*  Dichiarazione IVA: Timori legati alla sicurezza o alla riservatezza dei dati */
C12c6 :1.   /*  Dichiarazione IVA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12c7 :1.   /*  Dichiarazione IVA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12d1 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12d2 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12d3 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure len */
C12d4 :1.   /*  "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Informazioni insufficienti o poco chiare; mancanza di supporto" */
C12d5 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Timori legati alla sicurezza o alla riservatezza dei dati */
C12d6 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12d7 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF,  */
C12e1 :1.   /*  Adempimenti e procedure in materia edilizia: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12e2 :1.   /*  Adempimenti e procedure in materia edilizia: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12e3 :1.   /*  Adempimenti e procedure in materia edilizia: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12e4 :1.   /*  "Adempimenti e procedure in materia edilizia: Informazioni insufficienti o poco chiare; mancanza di supporto" */
C12e5 :1.   /*  Adempimenti e procedure in materia edilizia: Timori legati alla sicurezza o alla riservatezza dei dati */
C12e6 :1.   /*  Adempimenti e procedure in materia edilizia: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12e7 :1.   /*  Adempimenti e procedure in materia edilizia: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12f1 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12f2 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12f3 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12f4 :1.   /*  "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Informazioni insufficienti o poco chiare; mancanza di supporto" */
C12f5 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Timori legati alla sicurezza o alla riservatezza dei dati */
C12f6 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12f7 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12g1 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12g2 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12g3 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12g4 :1.   /*  "Partecipazioni a gare d'appalto e bandi on-line della PA: Informazioni insufficienti o poco chiare; mancanza di supporto" */
C12g5 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Timori legati alla sicurezza o alla riservatezza dei dati */
C12g6 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12g7 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12h1 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12h2 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12h3 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12h4 :1.   /*  "Utilizzo della fatturazione elettronica con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto" */
C12h5 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Timori legati alla sicurezza o alla riservatezza dei dati */
C12h6 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12h7 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12i1 :1.   /*  Utilizzo della PEC per interagire con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12i2 :1.   /*  Utilizzo della PEC per interagire con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12i3 :1.   /*  Utilizzo della PEC per interagire con la PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12i4 :1.   /*  "Utilizzo della PEC per interagire con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto" */
C12i5 :1.   /*  Utilizzo della PEC per interagire con la PA: Timori legati alla sicurezza o alla riservatezza dei dati */
C12i6 :1.   /*  Utilizzo della PEC per interagire con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12i7 :1.   /*  Utilizzo della PEC per interagire con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
D1 :1.   /*  Utilizzo di servizi di cloud computing su Internet */
D2a :1.   /*  Tipologia servizi cloud utilizzati: servizi di posta elettronica */
D2b :1.   /*  Tipologia servizi cloud utilizzati: software per ufficio */
D2c :1.   /*  Tipologia servizi cloud utilizzati: hosting di database dellimpresa */
D2d :1.   /*  Tipologia servizi cloud utilizzati: archiviazione di file */
D2e :1.   /*  Tipologia servizi cloud utilizzati: applicazioni software di finanza e contabilita' */
D2f :1.   /*  Tipologia servizi cloud utilizzati: applicazioni software CRM per gestire le informazioni relative ai propri clienti */
D2g :1.   /*  Tipologia servizi cloud utilizzati: potenza di calcolo per eseguire il software dellimpresa */
D3a :1.   /*  Tipologia di fornitura di servizi cloud: server condivisi (cloud pubblico) */
D3b :1.   /*  Tipologia di fornitura di servizi cloud: server riservati (cloud privato) */
E1a :1.   /*  Utilizzo di stampanti 3D di proprieta', affittate o prese in leasing dallimpresa */
E1b :1.   /*  Utilizzo di servizi di stampa 3D forniti da altre imprese diverse dalla rispondente */
E2a :1.   /*  stampare in 3D prototipi o modelli da vendere */
E2b :1.   /*  stampare in 3D prototipi o modelli per uso interno allimpresa */
E2c :1.   /*  stampare in 3D beni da vendere esclusi prototipi o modelli */
E2d :1.   /*  stampare in 3D beni da utilizzare nel processo di produzione della vostra impresa escluso prototipi o modelli */
F1a :1.   /*  Robot industriali */
F1b :1.   /*  Robot di servizio */
F2a :1.   /*  Robot di servizio: compiti di sorveglianza, sicurezza o ispezione */
F2b :1.   /*  Robot di servizio: trasporto di persone o beni */
F2c :1.   /*  Robot di servizio: attivita' di pulizia o di smaltimento dei rifiuti */
F2d :1.   /*  Robot di servizio: sistemi di gestione del magazzino */
F2e :1.   /*  Robot di servizio: lavori di assemblaggio */
F2f :1.   /*  Robot di servizio: compiti da impiegato di un negozio robotizzato */
F2g :1.   /*  Robot di servizio: lavori di costruzione o riparazione di danni */
G1a :1.   /*  Big Data Analisys - fonti di dati: dispositivi intelligenti o sensori */
G1b :1.   /*  Big Data Analisys - fonti di dati: geolocalizzazione derivante dall'utilizzo di dispositivi portatili */
G1c :1.   /*  Big Data Analisys - fonti di dati: social media */
G1d :1.   /*  Big Data Analisys - fonti di dati: altro */
G2a :1.   /*  Big Data Analisys: personale interno */
G2b :1.   /*  Big Data Analisys: personale esterno */
H1a :1.   /*  Fatture elettroniche adatte B2B e B2C */
H1b :1.   /*  Fatture elettroniche adatte B2G */
H1c :1.   /*  Fatture in formato elettronico non adatte */
H1d :1.   /*  Fatture cartacee */
H2 :1.   /*  Classe percentuale delle fatture elettroniche inviate in formato standard */
I1a :1.   /*  Vendite web: tramite siti web o app dellimpresa */
I1b :1.   /*  Vendite web: tramite siti web di intermediari ovvero siti di ecommerce (marketplace) o app */
I2_ :7.3   /*  Percentuale degli ordini di vendita sito web rispetto al totale dei ricavi */
I3a :3.   /*  Percentuale delle vendite web destinate a consumatori privati (B2C) */
I3b :3.   /*  Percentuale delle vendite web destinate ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G) */
I4a :3.   /*  Vendite web: tramite siti web o app dellimpresa */
I4b :3.   /*  Vendite web: tramite siti web di intermediari ovvero siti di ecommerce (marketplace) o app */
I5 :1.   /*  Ordini di vendita attraverso sistemi di tipo EDI */
I6_ :7.3   /*  Percentuale degli ordini di vendita via EDI rispetto al totale dei ricavi */
J1a1 :1.   /*  Investimenti 2016: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi) */
J1a2 :1.   /*  Investimenti 2017: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi) */
J1a3 :1.   /*  Nessun investimento 2016-2017: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi) */
J1b1 :1.   /*  Investimenti 2016: Stampa 3D */
J1b2 :1.   /*  Investimenti 2017: Stampa 3D */
J1b3 :1.   /*  Nessun investimento 2016-2017: Stampa 3D */
J1c1 :1.   /*  Investimenti 2016: Robotica (robot industriali, robot collaborativi interconnessi e programmabili) */
J1c2 :1.   /*  Investimenti 2017: Robotica (robot industriali, robot collaborativi interconnessi e programmabili) */
J1c3 :1.   /*  Nessun investimento 2016-2017: Robotica (robot industriali, robot collaborativi interconnessi e programmabili) */
J1d1 :1.   /*  Investimenti 2016: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali */
J1d2 :1.   /*  Investimenti 2017: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali */
J1d3 :1.   /*  Nessun investimento 2016-2017: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali */
J1e1 :1.   /*  Investimenti 2016: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.) */
J1e2 :1.   /*  Investimenti 2017: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.) */
J1e3 :1.   /*  Nessun investimento 2016-2017: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.) */
J1f1 :1.   /*  Investimenti 2016: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali) */
J1f2 :1.   /*  Investimenti 2017: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali) */
J1f3 :1.   /*  Nessun investimento 2016-2017: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali) */
J1g1 :1.   /*  Investimenti 2016: Vendite online */
J1g2 :1.   /*  Investimenti 2017: Vendite online */
J1g3 :1.   /*  Nessun investimento 2016-2017: Vendite online */
J1h1 :1.   /*  Investimenti 2016: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati) */
J1h2 :1.   /*  Investimenti 2017: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati) */
J1h3 :1.   /*  Nessun investimento 2016-2017: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati) */
J1i1 :1.   /*  Investimenti 2016: Realta' aumentata e realta' virtuale */
J1i2 :1.   /*  Investimenti 2017: Realta' aumentata e realta' virtuale */
J1i3 :1.   /*  Nessun investimento 2016-2017: Realta' aumentata e realta' virtuale */
J1j1 :1.   /*  Investimenti 2016: Sicurezza informatica */
J1j2 :1.   /*  Investimenti 2017: Sicurezza informatica */
J1j3 :1.   /*  Nessun investimento 2016-2017: Sicurezza informatica */
J2a1 :1.   /*  Investimenti 2018: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi) */
J2a2 :1.   /*  Investimenti 2019: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi) */
J2a3 :1.   /*  Nessun investimento 2018-2019: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi) */
J2b1 :1.   /*  Investimenti 2018: Stampa 3D */
J2b2 :1.   /*  Investimenti 2019: Stampa 3D */
J2b3 :1.   /*  Nessun investimento 2018-2019: Stampa 3D */
J2c1 :1.   /*  Investimenti 2018: Robotica (robot industriali, robot collaborativi interconnessi e programmabili) */
J2c2 :1.   /*  Investimenti 2019: Robotica (robot industriali, robot collaborativi interconnessi e programmabili) */
J2c3 :1.   /*  Nessun investimento 2018-2019: Robotica (robot industriali, robot collaborativi interconnessi e programmabili) */
J2d1 :1.   /*  Investimenti 2018: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali */
J2d2 :1.   /*  Investimenti 2019: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali */
J2d3 :1.   /*  Nessun investimento 2018-2019: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali */
J2e1 :1.   /*  Investimenti 2018: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.) */
J2e2 :1.   /*  Investimenti 2019: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.) */
J2e3 :1.   /*  Nessun investimento 2018-2019: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.) */
J2f1 :1.   /*  Investimenti 2018: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali) */
J2f2 :1.   /*  Investimenti 2019: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali) */
J2f3 :1.   /*  Nessun investimento 2018-2019: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali) */
J2g1 :1.   /*  Investimenti 2018: Vendite online */
J2g2 :1.   /*  Investimenti 2019: Vendite online */
J2g3 :1.   /*  Nessun investimento 2018-2019: Vendite online */
J2h1 :1.   /*  Investimenti 2018: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati) */
J2h2 :1.   /*  Investimenti 2019: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati) */
J2h3 :1.   /*  Nessun investimento 2018-2019: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati) */
J2i1 :1.   /*  Investimenti 2018: Realta' aumentata e realta' virtuale */
J2i2 :1.   /*  Investimenti 2019: Realta' aumentata e realta' virtuale */
J2i3 :1.   /*  Nessun investimento 2018-2019: Realta' aumentata e realta' virtuale */
J2j1 :1.   /*  Investimenti 2018: Sicurezza informatica */
J2j2 :1.   /*  Investimenti 2019: Sicurezza informatica */
J2j3 :1.   /*  Nessun investimento 2018-2019: Sicurezza informatica */
J2k1 :1.   /*  Investimenti 2018: Altro */
J2k2 :1.   /*  Investimenti 2019: Altro */
J2k3 :1.   /*  Nessun investimento 2018-2019: Altro */
J3a :1.   /*  Fattori digitalizzazione 2018-2019: Infrastruttura e connessione in banda ultralarga */
J3b :1.   /*  Fattori digitalizzazione 2018-2019: Agevolazioni, finanziamenti, incentivi fiscali a sostegno della digitalizzazione */
J3c :1.   /*  Fattori digitalizzazione 2018-2019: Iniziative digitali della pubblica amministrazione */
J3d :1.   /*  Fattori digitalizzazione 2018-2019: Capacita' di fare rete attuando modelli di collaborazione con altre imprese e centri di ricerca per la digitalizzazione */
J3e :1.   /*  Fattori digitalizzazione 2018-2019: Inserimento/sviluppo di nuove competenze digitali */
J3f :1.   /*  Fattori digitalizzazione 2018-2019:Sviluppo/consolidamento di competenze di personale gia' esistente */
J3g :1.   /*  Fattori digitalizzazione 2018-2019: Sviluppo di una strategia di digitalizzazione dellimpresa */
J3h :1.   /*  Fattori digitalizzazione 2018-2019: Altro */
J3i :1.   /*  Fattori digitalizzazione 2018-2019: Nessun fattore di digitalizzazione puo' incidere */
J3j :1.   /*  Fattori digitalizzazione 2018-2019: Non so */
Ateco_2 : $2.   /*  Ateco, classificazione Ateco2007 a due cifre (contiene missing) */
mac : $2.   /*  Macrosettore */
clad4 : $3.   /*  Classe addetti */
reg_ : $2.   /*  20 reg amministrative (aggregazione di BZ e TN) */
dom1 : $3.   /*  Primo dominio di stima per la pubblicazione (per 27 attivita' economiche) */
dom2 : $5.   /*  Secondo dominio di stima per la pubblicazione [macrosettore (mac) per classe di addetti (clad4)] */
dom3_ : $4.   /*  Terzo dominio di stima [macrosettore (mac) x regione (reg_)] */
dom4 : $6.   /*  Dominio relativo al settore ICT che comprende le seguenti attivita' economiche: 261+262+263+264+268+465+582+61+62+631+951 */
coeffin :12.8   /*  Peso da utilizzare per riporto all'universo */
I2I6_ :7.3   /*  Valore percentuale degli ordini di vendita online */
;
LABEL 
codice_ = "Codice progressivo"
ricavi_cl = "Classe di ricavi da vendita di beni e servizi"
A3_ = "Percentuale di addetti che usano il computer sul totale degli addetti"
B1 = "Impiego di addetti specialisti in materie informatiche"
B2a = "Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT"
B2b = "Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT"
B3 = "Ha assunto o ha provato ad assumere specialisti ICT"
B4 = "Difficolta' a coprire i posti vacanti per specialisti ICT"
B5a = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Manutenzione delle infrastrutture ICT"
B5b = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per i software di ufficio"
B5c = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo di sistemi e di software di gestione aziendale"
B5d = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per software e sistemi di gestione aziendale"
B5e = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo web"
B5f = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per lo sviluppo web"
B5g = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Gestione della sicurezza ICT e protezione dei dati"
C1 = "Connessione ad Internet"
C2_ = "Percentuale di addetti che usano computer connessi Internet sul totale degli addetti"
C3 = "Tipo di connessione: fissa in banda larga  -  DSL (xDSL, ADSL, SDSL, VDSL, ecc.), via cavo, fibre ottiche (FTTH), connessioni fisse senza fili, WiFi (anche pubbliche), WiMax"
C4 = "Velocita' max download connessione fissa in banda larga"
C5 = "L'impresa fornisce dispositivi portatili con connessione mobile"
C6_ = "Percentuale di addetti provvisti di dispositivi portatili forniti dallimpresa che permettono la connessione mobile ad Internet  (in banda larga o meno) sul totale degli addetti"
C7a = "connessione mobile per: accedere a sistema di posta elettronica aziendale"
C7b = "connessione mobile per: accedere e modificare documenti aziendali"
C7c = "connessione mobile per: utilizzare di specifiche applicazioni software aziendali"
C8 = "Sito web"
C9a = "Possibilita' di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line)"
C9b = "Tracciabilita' on line dellordine"
C9c = "Accesso a cataloghi di prodotti o listini prezzi"
C9d = "Possibilita' di personalizzare i contenuti del sito per i visitatori abituali"
C9e = "Possibilita' per i visitatori del sito di personalizzare o progettare prodotti"
C9f = "Collegamenti o riferimenti ai profili dellimpresa sui social media"
C10 = "Pubblicita' a pagamento su Internet"
C11a = "Pubblicita a pagamento su Internet, metodi di pubblicita' mirata: ricerca contenuti web"
C11b = "Pubblicita a pagamento su Internet, metodi di pubblicita' mirata: tracciabilita' degli utenti"
C11c = "Pubblicita a pagamento su Internet, metodi di pubblicita' mirata: geolocalizzazione degli utenti"
C11d = "Pubblicita a pagamento su Internet, metodi di pubblicita' mirata: altri metodi"
C12a1 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12a2 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12a3 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12a4 = " Adempimenti e procedure per il lavoro (INPS/INAIL): Informazioni insufficienti o poco chiare; mancanza di supporto "
C12a5 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Timori legati alla sicurezza o alla riservatezza dei dati"
C12a6 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12a7 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12b1 = "Dichiarazione dei redditi dell'impresa: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12b2 = "Dichiarazione dei redditi dell'impresa: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12b3 = "Dichiarazione dei redditi dell'impresa: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12b4 = " Dichiarazione dei redditi dell'impresa: Informazioni insufficienti o poco chiare; mancanza di supporto "
C12b5 = "Dichiarazione dei redditi dell'impresa: Timori legati alla sicurezza o alla riservatezza dei dati"
C12b6 = "Dichiarazione dei redditi dell'impresa: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12b7 = "Dichiarazione dei redditi dell'impresa: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12c1 = "Dichiarazione IVA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12c2 = "Dichiarazione IVA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12c3 = "Dichiarazione IVA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12c4 = " Dichiarazione IVA: Informazioni insufficienti o poco chiare; mancanza di supporto "
C12c5 = "Dichiarazione IVA: Timori legati alla sicurezza o alla riservatezza dei dati"
C12c6 = "Dichiarazione IVA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12c7 = "Dichiarazione IVA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12d1 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12d2 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12d3 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure len"
C12d4 = " Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Informazioni insufficienti o poco chiare; mancanza di supporto "
C12d5 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Timori legati alla sicurezza o alla riservatezza dei dati"
C12d6 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12d7 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, "
C12e1 = "Adempimenti e procedure in materia edilizia: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12e2 = "Adempimenti e procedure in materia edilizia: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12e3 = "Adempimenti e procedure in materia edilizia: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12e4 = " Adempimenti e procedure in materia edilizia: Informazioni insufficienti o poco chiare; mancanza di supporto "
C12e5 = "Adempimenti e procedure in materia edilizia: Timori legati alla sicurezza o alla riservatezza dei dati"
C12e6 = "Adempimenti e procedure in materia edilizia: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12e7 = "Adempimenti e procedure in materia edilizia: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12f1 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12f2 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12f3 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12f4 = " Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Informazioni insufficienti o poco chiare; mancanza di supporto "
C12f5 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Timori legati alla sicurezza o alla riservatezza dei dati"
C12f6 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12f7 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12g1 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12g2 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12g3 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12g4 = " Partecipazioni a gare d'appalto e bandi on-line della PA: Informazioni insufficienti o poco chiare; mancanza di supporto "
C12g5 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Timori legati alla sicurezza o alla riservatezza dei dati"
C12g6 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12g7 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12h1 = "Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12h2 = "Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12h3 = "Utilizzo della fatturazione elettronica con la PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12h4 = " Utilizzo della fatturazione elettronica con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto "
C12h5 = "Utilizzo della fatturazione elettronica con la PA: Timori legati alla sicurezza o alla riservatezza dei dati"
C12h6 = "Utilizzo della fatturazione elettronica con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12h7 = "Utilizzo della fatturazione elettronica con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12i1 = "Utilizzo della PEC per interagire con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12i2 = "Utilizzo della PEC per interagire con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12i3 = "Utilizzo della PEC per interagire con la PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12i4 = " Utilizzo della PEC per interagire con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto "
C12i5 = "Utilizzo della PEC per interagire con la PA: Timori legati alla sicurezza o alla riservatezza dei dati"
C12i6 = "Utilizzo della PEC per interagire con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12i7 = "Utilizzo della PEC per interagire con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
D1 = "Utilizzo di servizi di cloud computing su Internet"
D2a = "Tipologia servizi cloud utilizzati: servizi di posta elettronica"
D2b = "Tipologia servizi cloud utilizzati: software per ufficio"
D2c = "Tipologia servizi cloud utilizzati: hosting di database dellimpresa"
D2d = "Tipologia servizi cloud utilizzati: archiviazione di file"
D2e = "Tipologia servizi cloud utilizzati: applicazioni software di finanza e contabilita'"
D2f = "Tipologia servizi cloud utilizzati: applicazioni software CRM per gestire le informazioni relative ai propri clienti"
D2g = "Tipologia servizi cloud utilizzati: potenza di calcolo per eseguire il software dellimpresa"
D3a = "Tipologia di fornitura di servizi cloud: server condivisi (cloud pubblico)"
D3b = "Tipologia di fornitura di servizi cloud: server riservati (cloud privato)"
E1a = "Utilizzo di stampanti 3D di proprieta', affittate o prese in leasing dallimpresa"
E1b = "Utilizzo di servizi di stampa 3D forniti da altre imprese diverse dalla rispondente"
E2a = "stampare in 3D prototipi o modelli da vendere"
E2b = "stampare in 3D prototipi o modelli per uso interno allimpresa"
E2c = "stampare in 3D beni da vendere esclusi prototipi o modelli"
E2d = "stampare in 3D beni da utilizzare nel processo di produzione della vostra impresa escluso prototipi o modelli"
F1a = "Robot industriali"
F1b = "Robot di servizio"
F2a = "Robot di servizio: compiti di sorveglianza, sicurezza o ispezione"
F2b = "Robot di servizio: trasporto di persone o beni"
F2c = "Robot di servizio: attivita' di pulizia o di smaltimento dei rifiuti"
F2d = "Robot di servizio: sistemi di gestione del magazzino"
F2e = "Robot di servizio: lavori di assemblaggio"
F2f = "Robot di servizio: compiti da impiegato di un negozio robotizzato"
F2g = "Robot di servizio: lavori di costruzione o riparazione di danni"
G1a = "Big Data Analisys - fonti di dati: dispositivi intelligenti o sensori"
G1b = "Big Data Analisys - fonti di dati: geolocalizzazione derivante dall'utilizzo di dispositivi portatili"
G1c = "Big Data Analisys - fonti di dati: social media"
G1d = "Big Data Analisys - fonti di dati: altro"
G2a = "Big Data Analisys: personale interno"
G2b = "Big Data Analisys: personale esterno"
H1a = "Fatture elettroniche adatte B2B e B2C"
H1b = "Fatture elettroniche adatte B2G"
H1c = "Fatture in formato elettronico non adatte"
H1d = "Fatture cartacee"
H2 = "Classe percentuale delle fatture elettroniche inviate in formato standard"
I1a = "Vendite web: tramite siti web o app dellimpresa"
I1b = "Vendite web: tramite siti web di intermediari ovvero siti di ecommerce (marketplace) o app"
I2_ = "Percentuale degli ordini di vendita sito web rispetto al totale dei ricavi"
I3a = "Percentuale delle vendite web destinate a consumatori privati (B2C)"
I3b = "Percentuale delle vendite web destinate ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G)"
I4a = "Vendite web: tramite siti web o app dellimpresa"
I4b = "Vendite web: tramite siti web di intermediari ovvero siti di ecommerce (marketplace) o app"
I5 = "Ordini di vendita attraverso sistemi di tipo EDI"
I6_ = "Percentuale degli ordini di vendita via EDI rispetto al totale dei ricavi"
J1a1 = "Investimenti 2016: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)"
J1a2 = "Investimenti 2017: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)"
J1a3 = "Nessun investimento 2016-2017: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)"
J1b1 = "Investimenti 2016: Stampa 3D"
J1b2 = "Investimenti 2017: Stampa 3D"
J1b3 = "Nessun investimento 2016-2017: Stampa 3D"
J1c1 = "Investimenti 2016: Robotica (robot industriali, robot collaborativi interconnessi e programmabili)"
J1c2 = "Investimenti 2017: Robotica (robot industriali, robot collaborativi interconnessi e programmabili)"
J1c3 = "Nessun investimento 2016-2017: Robotica (robot industriali, robot collaborativi interconnessi e programmabili)"
J1d1 = "Investimenti 2016: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali"
J1d2 = "Investimenti 2017: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali"
J1d3 = "Nessun investimento 2016-2017: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali"
J1e1 = "Investimenti 2016: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)"
J1e2 = "Investimenti 2017: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)"
J1e3 = "Nessun investimento 2016-2017: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)"
J1f1 = "Investimenti 2016: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)"
J1f2 = "Investimenti 2017: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)"
J1f3 = "Nessun investimento 2016-2017: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)"
J1g1 = "Investimenti 2016: Vendite online"
J1g2 = "Investimenti 2017: Vendite online"
J1g3 = "Nessun investimento 2016-2017: Vendite online"
J1h1 = "Investimenti 2016: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)"
J1h2 = "Investimenti 2017: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)"
J1h3 = "Nessun investimento 2016-2017: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)"
J1i1 = "Investimenti 2016: Realta' aumentata e realta' virtuale"
J1i2 = "Investimenti 2017: Realta' aumentata e realta' virtuale"
J1i3 = "Nessun investimento 2016-2017: Realta' aumentata e realta' virtuale"
J1j1 = "Investimenti 2016: Sicurezza informatica"
J1j2 = "Investimenti 2017: Sicurezza informatica"
J1j3 = "Nessun investimento 2016-2017: Sicurezza informatica"
J2a1 = "Investimenti 2018: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)"
J2a2 = "Investimenti 2019: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)"
J2a3 = "Nessun investimento 2018-2019: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)"
J2b1 = "Investimenti 2018: Stampa 3D"
J2b2 = "Investimenti 2019: Stampa 3D"
J2b3 = "Nessun investimento 2018-2019: Stampa 3D"
J2c1 = "Investimenti 2018: Robotica (robot industriali, robot collaborativi interconnessi e programmabili)"
J2c2 = "Investimenti 2019: Robotica (robot industriali, robot collaborativi interconnessi e programmabili)"
J2c3 = "Nessun investimento 2018-2019: Robotica (robot industriali, robot collaborativi interconnessi e programmabili)"
J2d1 = "Investimenti 2018: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali"
J2d2 = "Investimenti 2019: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali"
J2d3 = "Nessun investimento 2018-2019: Altri beni strumentali computerizzati o gestiti tramite sensori e interconnessi con altri sistemi aziendali"
J2e1 = "Investimenti 2018: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)"
J2e2 = "Investimenti 2019: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)"
J2e3 = "Nessun investimento 2018-2019: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)"
J2f1 = "Investimenti 2018: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)"
J2f2 = "Investimenti 2019: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)"
J2f3 = "Nessun investimento 2018-2019: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)"
J2g1 = "Investimenti 2018: Vendite online"
J2g2 = "Investimenti 2019: Vendite online"
J2g3 = "Nessun investimento 2018-2019: Vendite online"
J2h1 = "Investimenti 2018: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)"
J2h2 = "Investimenti 2019: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)"
J2h3 = "Nessun investimento 2018-2019: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)"
J2i1 = "Investimenti 2018: Realta' aumentata e realta' virtuale"
J2i2 = "Investimenti 2019: Realta' aumentata e realta' virtuale"
J2i3 = "Nessun investimento 2018-2019: Realta' aumentata e realta' virtuale"
J2j1 = "Investimenti 2018: Sicurezza informatica"
J2j2 = "Investimenti 2019: Sicurezza informatica"
J2j3 = "Nessun investimento 2018-2019: Sicurezza informatica"
J2k1 = "Investimenti 2018: Altro"
J2k2 = "Investimenti 2019: Altro"
J2k3 = "Nessun investimento 2018-2019: Altro"
J3a = "Fattori digitalizzazione 2018-2019: Infrastruttura e connessione in banda ultralarga"
J3b = "Fattori digitalizzazione 2018-2019: Agevolazioni, finanziamenti, incentivi fiscali a sostegno della digitalizzazione"
J3c = "Fattori digitalizzazione 2018-2019: Iniziative digitali della pubblica amministrazione"
J3d = "Fattori digitalizzazione 2018-2019: Capacita' di fare rete attuando modelli di collaborazione con altre imprese e centri di ricerca per la digitalizzazione"
J3e = "Fattori digitalizzazione 2018-2019: Inserimento/sviluppo di nuove competenze digitali"
J3f = "Fattori digitalizzazione 2018-2019:Sviluppo/consolidamento di competenze di personale gia' esistente"
J3g = "Fattori digitalizzazione 2018-2019: Sviluppo di una strategia di digitalizzazione dellimpresa"
J3h = "Fattori digitalizzazione 2018-2019: Altro"
J3i = "Fattori digitalizzazione 2018-2019: Nessun fattore di digitalizzazione puo' incidere"
J3j = "Fattori digitalizzazione 2018-2019: Non so"
Ateco_2 = "Ateco, classificazione Ateco2007 a due cifre (contiene missing)"
mac = "Macrosettore"
clad4 = "Classe addetti"
reg_ = "20 reg amministrative (aggregazione di BZ e TN)"
dom1 = "Primo dominio di stima per la pubblicazione (per 27 attivita' economiche)"
dom2 = "Secondo dominio di stima per la pubblicazione [macrosettore (mac) per classe di addetti (clad4)]"
dom3_ = "Terzo dominio di stima [macrosettore (mac) x regione (reg_)]"
dom4 = "Dominio relativo al settore ICT che comprende le seguenti attivita' economiche: 261+262+263+264+268+465+582+61+62+631+951"
coeffin = "Peso da utilizzare per riporto all'universo"
I2I6_ = "Valore percentuale degli ordini di vendita online"
;
RUN;
PROC FORMAT;
VALUE ric1F /* ricavi_cl */
0= "[0, 20000)"
20000= "[20000, 50000)"
50000= "[50000, 100000)"
100000= "[100000, 200000)"
200000= "[200000, 500000)"
500000= "[500000, 1000000)"
1000000= "[1000000, 2000000)"
2000000= "[2000000, 4000000)"
4000000= "[4000000, 5000000)"
5000000= "[5000000, 10000000)"
10000000= "[10000000, 20000000)"
20000000= "[20000000, 50000000)"
50000000= "[50000000, 200000000)"
200000000= "[200000000, + infinito)"
;
VALUE B13F /* B1 */
.= "missing"
0= "no"
1= "si"
;
VALUE B2a4F /* B2a */
.= "missing"
0= "no"
1= "si"
;
VALUE B2b5F /* B2b */
.= "missing"
0= "no"
1= "si"
;
VALUE B36F /* B3 */
.= "missing"
0= "no"
1= "si"
;
VALUE B47F /* B4 */
.= "missing"
0= "no"
1= "si"
;
VALUE B5a8F /* B5a */
.= "missing"
1= "interni"
2= "esterni"
3= "attivita' non svolta"
;
VALUE B5b9F /* B5b */
.= "missing"
1= "interni"
2= "esterni"
3= "attivita' non svolta"
;
VALUE B5c10F /* B5c */
.= "missing"
1= "interni"
2= "esterni"
3= "attivita' non svolta"
;
VALUE B5d11F /* B5d */
.= "missing"
1= "interni"
2= "esterni"
3= "attivita' non svolta"
;
VALUE B5e12F /* B5e */
.= "missing"
1= "interni"
2= "esterni"
3= "attivita' non svolta"
;
VALUE B5f13F /* B5f */
.= "missing"
1= "interni"
2= "esterni"
3= "attivita' non svolta"
;
VALUE B5g14F /* B5g */
.= "missing"
1= "interni"
2= "esterni"
3= "attivita' non svolta"
;
VALUE C115F /* C1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C317F /* C3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C418F /* C4 */
.= "missing"
1= "Inferiore a  2Mbit/s"
2= "Compresa tra 2Mbit/s e meno di 10Mbit/s"
3= "Compresa tra 10Mbit/s e meno di 30Mbit/s"
4= "Compresa tra 30Mbit/s e meno di 100Mbit/s"
5= "Maggiore o uguale a 100 Mbit/s"
;
VALUE C519F /* C5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C7a21F /* C7a */
.= "missing"
0= "no"
1= "si"
;
VALUE C7b22F /* C7b */
.= "missing"
0= "no"
1= "si"
;
VALUE C7c23F /* C7c */
.= "missing"
0= "no"
1= "si"
;
VALUE C824F /* C8 */
.= "missing"
0= "no"
1= "si"
;
VALUE C9a25F /* C9a */
.= "missing"
0= "no"
1= "si"
;
VALUE C9b26F /* C9b */
.= "missing"
0= "no"
1= "si"
;
VALUE C9c27F /* C9c */
.= "missing"
0= "no"
1= "si"
;
VALUE C9d28F /* C9d */
.= "missing"
0= "no"
1= "si"
;
VALUE C9e29F /* C9e */
.= "missing"
0= "no"
1= "si"
;
VALUE C9f30F /* C9f */
.= "missing"
0= "no"
1= "si"
;
VALUE C1031F /* C10 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1132F /* C11a */
.= "missing"
0= "no"
1= "si"
;
VALUE C1133F /* C11b */
.= "missing"
0= "no"
1= "si"
;
VALUE C1134F /* C11c */
.= "missing"
0= "no"
1= "si"
;
VALUE C1135F /* C11d */
.= "missing"
0= "no"
1= "si"
;
VALUE C1236F /* C12a1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1237F /* C12a2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1238F /* C12a3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1239F /* C12a4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1240F /* C12a5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1241F /* C12a6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1242F /* C12a7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1243F /* C12b1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1244F /* C12b2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1245F /* C12b3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1246F /* C12b4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1247F /* C12b5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1248F /* C12b6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1249F /* C12b7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1250F /* C12c1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1251F /* C12c2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1252F /* C12c3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1253F /* C12c4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1254F /* C12c5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1255F /* C12c6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1256F /* C12c7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1257F /* C12d1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1258F /* C12d2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1259F /* C12d3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1260F /* C12d4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1261F /* C12d5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1262F /* C12d6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1263F /* C12d7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1264F /* C12e1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1265F /* C12e2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1266F /* C12e3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1267F /* C12e4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1268F /* C12e5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1269F /* C12e6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1270F /* C12e7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1271F /* C12f1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1272F /* C12f2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1273F /* C12f3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1274F /* C12f4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1275F /* C12f5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1276F /* C12f6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1277F /* C12f7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1278F /* C12g1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1279F /* C12g2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1280F /* C12g3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1281F /* C12g4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1282F /* C12g5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1283F /* C12g6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1284F /* C12g7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1285F /* C12h1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1286F /* C12h2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1287F /* C12h3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1288F /* C12h4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1289F /* C12h5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1290F /* C12h6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1291F /* C12h7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1292F /* C12i1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1293F /* C12i2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1294F /* C12i3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1295F /* C12i4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1296F /* C12i5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1297F /* C12i6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1298F /* C12i7 */
.= "missing"
0= "no"
1= "si"
;
VALUE D199F /* D1 */
.= "missing"
0= "no"
1= "si"
;
VALUE D2a100F /* D2a */
.= "missing"
0= "no"
1= "si"
;
VALUE D2b101F /* D2b */
.= "missing"
0= "no"
1= "si"
;
VALUE D2c102F /* D2c */
.= "missing"
0= "no"
1= "si"
;
VALUE D2d103F /* D2d */
.= "missing"
0= "no"
1= "si"
;
VALUE D2e104F /* D2e */
.= "missing"
0= "no"
1= "si"
;
VALUE D2f105F /* D2f */
.= "missing"
0= "no"
1= "si"
;
VALUE D2g106F /* D2g */
.= "missing"
0= "no"
1= "si"
;
VALUE D3a107F /* D3a */
.= "missing"
0= "no"
1= "si"
;
VALUE D3b108F /* D3b */
.= "missing"
0= "no"
1= "si"
;
VALUE E1a109F /* E1a */
.= "missing"
0= "no"
1= "si"
;
VALUE E1b110F /* E1b */
.= "missing"
0= "no"
1= "si"
;
VALUE E2a111F /* E2a */
.= "missing"
0= "no"
1= "si"
;
VALUE E2b112F /* E2b */
.= "missing"
0= "no"
1= "si"
;
VALUE E2c113F /* E2c */
.= "missing"
0= "no"
1= "si"
;
VALUE E2d114F /* E2d */
.= "missing"
0= "no"
1= "si"
;
VALUE F1a115F /* F1a */
.= "missing"
0= "no"
1= "si"
;
VALUE F1b116F /* F1b */
.= "missing"
0= "no"
1= "si"
;
VALUE F2a117F /* F2a */
.= "missing"
0= "no"
1= "si"
;
VALUE F2b118F /* F2b */
.= "missing"
0= "no"
1= "si"
;
VALUE F2c119F /* F2c */
.= "missing"
0= "no"
1= "si"
;
VALUE F2d120F /* F2d */
.= "missing"
0= "no"
1= "si"
;
VALUE F2e121F /* F2e */
.= "missing"
0= "no"
1= "si"
;
VALUE F2f122F /* F2f */
.= "missing"
0= "no"
1= "si"
;
VALUE F2g123F /* F2g */
.= "missing"
0= "no"
1= "si"
;
VALUE G1a124F /* G1a */
.= "missing"
0= "no"
1= "si"
;
VALUE G1b125F /* G1b */
.= "missing"
0= "no"
1= "si"
;
VALUE G1c126F /* G1c */
.= "missing"
0= "no"
1= "si"
;
VALUE G1d127F /* G1d */
.= "missing"
0= "no"
1= "si"
;
VALUE G2a128F /* G2a */
.= "missing"
0= "no"
1= "si"
;
VALUE G2b129F /* G2b */
.= "missing"
0= "no"
1= "si"
;
VALUE H1a130F /* H1a */
.= "missing"
0= "no"
1= "si"
;
VALUE H1b131F /* H1b */
.= "missing"
0= "no"
1= "si"
;
VALUE H1c132F /* H1c */
.= "missing"
0= "no"
1= "si"
;
VALUE H1d133F /* H1d */
.= "missing"
0= "no"
1= "si"
;
VALUE H2134F /* H2 */
.= "missing"
1= "inferiore a 10%"
2= "tra 10% e meno di 25%"
3= "tra 25% e meno di 50%"
4= "tra 50% e meno di 75%"
5= "almeno 75%"
;
VALUE I1a135F /* I1a */
.= "missing"
0= "no"
1= "si"
;
VALUE I1b136F /* I1b */
.= "missing"
0= "no"
1= "si"
;
VALUE I5142F /* I5 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1a144F /* J1a1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1a145F /* J1a2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1a146F /* J1a3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1b147F /* J1b1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1b148F /* J1b2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1b149F /* J1b3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1c150F /* J1c1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1c151F /* J1c2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1c152F /* J1c3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1d153F /* J1d1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1d154F /* J1d2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1d155F /* J1d3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1e156F /* J1e1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1e157F /* J1e2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1e158F /* J1e3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1f159F /* J1f1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1f160F /* J1f2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1f161F /* J1f3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1g162F /* J1g1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1g163F /* J1g2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1g164F /* J1g3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1h165F /* J1h1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1h166F /* J1h2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1h167F /* J1h3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1i168F /* J1i1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1i169F /* J1i2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1i170F /* J1i3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1j171F /* J1j1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1j172F /* J1j2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J1j173F /* J1j3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2a174F /* J2a1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2a175F /* J2a2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2a176F /* J2a3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2b177F /* J2b1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2b178F /* J2b2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2b179F /* J2b3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2c180F /* J2c1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2c181F /* J2c2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2c182F /* J2c3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2d183F /* J2d1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2d184F /* J2d2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2d185F /* J2d3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2e186F /* J2e1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2e187F /* J2e2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2e188F /* J2e3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2f189F /* J2f1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2f190F /* J2f2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2f191F /* J2f3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2g192F /* J2g1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2g193F /* J2g2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2g194F /* J2g3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2h195F /* J2h1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2h196F /* J2h2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2h197F /* J2h3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2i198F /* J2i1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2i199F /* J2i2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2i200F /* J2i3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2j201F /* J2j1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2j202F /* J2j2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2j203F /* J2j3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2k204F /* J2k1 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2k205F /* J2k2 */
.= "missing"
0= "no"
1= "si"
;
VALUE J2k206F /* J2k3 */
.= "missing"
0= "no"
1= "si"
;
VALUE J3a207F /* J3a */
.= "missing"
0= "non scelto tra i tre possibili"
1= "si"
;
VALUE J3b208F /* J3b */
.= "missing"
0= "non scelto tra i tre possibili"
1= "si"
;
VALUE J3c209F /* J3c */
.= "missing"
0= "non scelto tra i tre possibili"
1= "si"
;
VALUE J3d210F /* J3d */
.= "missing"
0= "non scelto tra i tre possibili"
1= "si"
;
VALUE J3e211F /* J3e */
.= "missing"
0= "non scelto tra i tre possibili"
1= "si"
;
VALUE J3f212F /* J3f */
.= "missing"
0= "non scelto tra i tre possibili"
1= "si"
;
VALUE J3g213F /* J3g */
.= "missing"
0= "non scelto tra i tre possibili"
1= "si"
;
VALUE J3h214F /* J3h */
.= "missing"
0= "non scelto tra i tre possibili"
1= "si"
;
VALUE J3i215F /* J3i */
.= "missing"
0= "non scelto tra i tre possibili"
1= "Nessun fattore di digitalizzazione pu¿ incidere"
;
VALUE J3j216F /* J3j */
.= "missing"
0= "non scelto tra i tre possibili"
1= "Non so"
;
VALUE $mac218F /* mac */
"M1" = "MACROSETTORE MANIFATTURIERO"
"M2" = "MACROSETTORE ENERGIA"
"M3" = "MACROSETTORE COSTRUZIONI"
"M4" = "MACROSETTORE SERVIZI (NON FINANZIARI)"
;
VALUE $cla219F /* clad4 */
"cl1" = "10-49 addetti"
"cl2" = "50-99 addetti"
"cl3" = "100-249 addetti"
"cl4" = "250 e piu' addetti"
;
VALUE $reg220F /* reg_ */
"01" = "Piemonte"
"02" = "Valle d'Aosta"
"03" = "Lombardia"
"04" = "Trentino-Alto Adige"
"05" = "Veneto"
"06" = "Friuli-Venezia Giulia"
"07" = "Liguria"
"08" = "Emilia-Romagna"
"09" = "Toscana"
"10" = "Umbria"
"11" = "Marche"
"12" = "Lazio"
"13" = "Abruzzo"
"14" = "Molise"
"15" = "Campania"
"16" = "Puglia"
"17" = "Basilicata"
"18" = "Calabria"
"19" = "Sicilia"
"20" = "Sardegna"
;
VALUE $dom221F /* dom1 */
"N01" = "Dominio divisioni e gruppi Ateco 2007: 10+11+12"
"N02" = "Dominio divisioni e gruppi Ateco 2007: 13+14+15"
"N03" = "Dominio divisioni e gruppi Ateco 2007: 16+17+18"
"N04" = "Dominio divisioni e gruppi Ateco 2007: 19+20+21+22+23"
"N05" = "Dominio divisioni e gruppi Ateco 2007: 24+25"
"N06" = "Dominio divisioni e gruppi Ateco 2007: 26"
"N07" = "Dominio divisioni e gruppi Ateco 2007: 27+28"
"N08" = "Dominio divisioni e gruppi Ateco 2007: 29+30"
"N09" = "Dominio divisioni e gruppi Ateco 2007: 31+32+33"
"N10" = "Dominio divisioni e gruppi Ateco 2007: 35+36+37+38+39"
"N11" = "Dominio divisioni e gruppi Ateco 2007: 41+42+43"
"N12" = "Dominio divisioni e gruppi Ateco 2007: 45"
"N13" = "Dominio divisioni e gruppi Ateco 2007: 46"
"N14" = "Dominio divisioni e gruppi Ateco 2007: 47"
"N15" = "Dominio divisioni e gruppi Ateco 2007: 49+50+51+52"
"N16" = "Dominio divisioni e gruppi Ateco 2007: 53"
"N17" = "Dominio divisioni e gruppi Ateco 2007: 55"
"N18" = "Dominio divisioni e gruppi Ateco 2007: 56"
"N19" = "Dominio divisioni e gruppi Ateco 2007: 58"
"N20" = "Dominio divisioni e gruppi Ateco 2007: 59+60"
"N21" = "Dominio divisioni e gruppi Ateco 2007: 61"
"N22" = "Dominio divisioni e gruppi Ateco 2007: 62+63"
"N23" = "Dominio divisioni e gruppi Ateco 2007: 68"
"N24" = "Dominio divisioni e gruppi Ateco 2007: 69+70+71+72+73+74"
"N25" = "Dominio divisioni e gruppi Ateco 2007: 77+78+80+81+82"
"N26" = "Dominio divisioni e gruppi Ateco 2007: 79"
"N27" = "Dominio divisioni e gruppi Ateco 2007: 95.1"
;
VALUE $dom224F /* dom4 */
"NO_ICT" = "Non appartiene al Settore ICT"
"SI_ICT" = "Appartiene al settore ICT (Ateco 261, 262, 263, 264, 268, 465, 582, 61, 62, 631, 951)"
;
format ricavi_cl ric1F.;
format B1 B13F.;
format B2a B2a4F.;
format B2b B2b5F.;
format B3 B36F.;
format B4 B47F.;
format B5a B5a8F.;
format B5b B5b9F.;
format B5c B5c10F.;
format B5d B5d11F.;
format B5e B5e12F.;
format B5f B5f13F.;
format B5g B5g14F.;
format C1 C115F.;
format C3 C317F.;
format C4 C418F.;
format C5 C519F.;
format C7a C7a21F.;
format C7b C7b22F.;
format C7c C7c23F.;
format C8 C824F.;
format C9a C9a25F.;
format C9b C9b26F.;
format C9c C9c27F.;
format C9d C9d28F.;
format C9e C9e29F.;
format C9f C9f30F.;
format C10 C1031F.;
format C11a C1132F.;
format C11b C1133F.;
format C11c C1134F.;
format C11d C1135F.;
format C12a1 C1236F.;
format C12a2 C1237F.;
format C12a3 C1238F.;
format C12a4 C1239F.;
format C12a5 C1240F.;
format C12a6 C1241F.;
format C12a7 C1242F.;
format C12b1 C1243F.;
format C12b2 C1244F.;
format C12b3 C1245F.;
format C12b4 C1246F.;
format C12b5 C1247F.;
format C12b6 C1248F.;
format C12b7 C1249F.;
format C12c1 C1250F.;
format C12c2 C1251F.;
format C12c3 C1252F.;
format C12c4 C1253F.;
format C12c5 C1254F.;
format C12c6 C1255F.;
format C12c7 C1256F.;
format C12d1 C1257F.;
format C12d2 C1258F.;
format C12d3 C1259F.;
format C12d4 C1260F.;
format C12d5 C1261F.;
format C12d6 C1262F.;
format C12d7 C1263F.;
format C12e1 C1264F.;
format C12e2 C1265F.;
format C12e3 C1266F.;
format C12e4 C1267F.;
format C12e5 C1268F.;
format C12e6 C1269F.;
format C12e7 C1270F.;
format C12f1 C1271F.;
format C12f2 C1272F.;
format C12f3 C1273F.;
format C12f4 C1274F.;
format C12f5 C1275F.;
format C12f6 C1276F.;
format C12f7 C1277F.;
format C12g1 C1278F.;
format C12g2 C1279F.;
format C12g3 C1280F.;
format C12g4 C1281F.;
format C12g5 C1282F.;
format C12g6 C1283F.;
format C12g7 C1284F.;
format C12h1 C1285F.;
format C12h2 C1286F.;
format C12h3 C1287F.;
format C12h4 C1288F.;
format C12h5 C1289F.;
format C12h6 C1290F.;
format C12h7 C1291F.;
format C12i1 C1292F.;
format C12i2 C1293F.;
format C12i3 C1294F.;
format C12i4 C1295F.;
format C12i5 C1296F.;
format C12i6 C1297F.;
format C12i7 C1298F.;
format D1 D199F.;
format D2a D2a100F.;
format D2b D2b101F.;
format D2c D2c102F.;
format D2d D2d103F.;
format D2e D2e104F.;
format D2f D2f105F.;
format D2g D2g106F.;
format D3a D3a107F.;
format D3b D3b108F.;
format E1a E1a109F.;
format E1b E1b110F.;
format E2a E2a111F.;
format E2b E2b112F.;
format E2c E2c113F.;
format E2d E2d114F.;
format F1a F1a115F.;
format F1b F1b116F.;
format F2a F2a117F.;
format F2b F2b118F.;
format F2c F2c119F.;
format F2d F2d120F.;
format F2e F2e121F.;
format F2f F2f122F.;
format F2g F2g123F.;
format G1a G1a124F.;
format G1b G1b125F.;
format G1c G1c126F.;
format G1d G1d127F.;
format G2a G2a128F.;
format G2b G2b129F.;
format H1a H1a130F.;
format H1b H1b131F.;
format H1c H1c132F.;
format H1d H1d133F.;
format H2 H2134F.;
format I1a I1a135F.;
format I1b I1b136F.;
format I5 I5142F.;
format J1a1 J1a144F.;
format J1a2 J1a145F.;
format J1a3 J1a146F.;
format J1b1 J1b147F.;
format J1b2 J1b148F.;
format J1b3 J1b149F.;
format J1c1 J1c150F.;
format J1c2 J1c151F.;
format J1c3 J1c152F.;
format J1d1 J1d153F.;
format J1d2 J1d154F.;
format J1d3 J1d155F.;
format J1e1 J1e156F.;
format J1e2 J1e157F.;
format J1e3 J1e158F.;
format J1f1 J1f159F.;
format J1f2 J1f160F.;
format J1f3 J1f161F.;
format J1g1 J1g162F.;
format J1g2 J1g163F.;
format J1g3 J1g164F.;
format J1h1 J1h165F.;
format J1h2 J1h166F.;
format J1h3 J1h167F.;
format J1i1 J1i168F.;
format J1i2 J1i169F.;
format J1i3 J1i170F.;
format J1j1 J1j171F.;
format J1j2 J1j172F.;
format J1j3 J1j173F.;
format J2a1 J2a174F.;
format J2a2 J2a175F.;
format J2a3 J2a176F.;
format J2b1 J2b177F.;
format J2b2 J2b178F.;
format J2b3 J2b179F.;
format J2c1 J2c180F.;
format J2c2 J2c181F.;
format J2c3 J2c182F.;
format J2d1 J2d183F.;
format J2d2 J2d184F.;
format J2d3 J2d185F.;
format J2e1 J2e186F.;
format J2e2 J2e187F.;
format J2e3 J2e188F.;
format J2f1 J2f189F.;
format J2f2 J2f190F.;
format J2f3 J2f191F.;
format J2g1 J2g192F.;
format J2g2 J2g193F.;
format J2g3 J2g194F.;
format J2h1 J2h195F.;
format J2h2 J2h196F.;
format J2h3 J2h197F.;
format J2i1 J2i198F.;
format J2i2 J2i199F.;
format J2i3 J2i200F.;
format J2j1 J2j201F.;
format J2j2 J2j202F.;
format J2j3 J2j203F.;
format J2k1 J2k204F.;
format J2k2 J2k205F.;
format J2k3 J2k206F.;
format J3a J3a207F.;
format J3b J3b208F.;
format J3c J3c209F.;
format J3d J3d210F.;
format J3e J3e211F.;
format J3f J3f212F.;
format J3g J3g213F.;
format J3h J3h214F.;
format J3i J3i215F.;
format J3j J3j216F.;
format mac $mac218F.;
format clad4 $cla219F.;
format reg_ $reg220F.;
format dom1 $dom221F.;
format dom4 $dom224F.;
RUN;
